org.jgroups.protocols

## Enum STOMP.ClientVerb

- java.lang.Object
- - java.lang.Enum<STOMP.ClientVerb>
  - - org.jgroups.protocols.STOMP.ClientVerb

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<STOMP.ClientVerb>

Enclosing class:
  STOMP

    public static enum STOMP.ClientVerb
    extends java.lang.Enum<STOMP.ClientVerb>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORT`
`ACK`
`BEGIN`
`COMMIT`
`CONNECT`
`DISCONNECT`
`SEND`
`SUBSCRIBE`
`UNSUBSCRIBE`

### Method Summary

Methods
`static STOMP.ClientVerb` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static STOMP.ClientVerb[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECT

    public static final STOMP.ClientVerb CONNECT

#### SEND

    public static final STOMP.ClientVerb SEND

#### SUBSCRIBE

    public static final STOMP.ClientVerb SUBSCRIBE

#### UNSUBSCRIBE

    public static final STOMP.ClientVerb UNSUBSCRIBE

#### BEGIN

    public static final STOMP.ClientVerb BEGIN

#### COMMIT

    public static final STOMP.ClientVerb COMMIT

#### ABORT

    public static final STOMP.ClientVerb ABORT

#### ACK

    public static final STOMP.ClientVerb ACK

#### DISCONNECT

    public static final STOMP.ClientVerb DISCONNECT

### Method Detail

#### values

    public static STOMP.ClientVerb[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (STOMP.ClientVerb c : STOMP.ClientVerb.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static STOMP.ClientVerb valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null